aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libebml/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2012-01-30 15:58:07 +0200
committerTimo Teräs <timo.teras@iki.fi>2012-01-30 16:35:05 +0200
commit2277f8f07366c9ea59897434f291cace8abaed89 (patch)
tree56982dd6c638e744e9c7c5730ab8632c1620961a /testing/libebml/APKBUILD
parentefd7d2531e79ab37277f8f82cdcb102cc4e22fee (diff)
downloadaports-2277f8f07366c9ea59897434f291cace8abaed89.tar.gz
aports-2277f8f07366c9ea59897434f291cace8abaed89.tar.bz2
aports-2277f8f07366c9ea59897434f291cace8abaed89.tar.xz
testing/libebml: new aport
a C++ library to parse Extensible Binary Meta-Language files http://www.matroska.org/
Diffstat (limited to 'testing/libebml/APKBUILD')
-rw-r--r--testing/libebml/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/libebml/APKBUILD b/testing/libebml/APKBUILD
new file mode 100644
index 0000000000..4f88ee46e9
--- /dev/null
+++ b/testing/libebml/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=libebml
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="a C++ library to parse Extensible Binary Meta-Language files"
+url="http://www.matroska.org/"
+arch="all"
+license="LGPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://dl.matroska.org/downloads/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make -C make/linux
+}
+
+package() {
+ cd "$_builddir"
+ make -C make/linux install prefix="$pkgdir/usr"
+}
+
+md5sums="726cc2bd1a525929ff35ff9854c0ebab libebml-1.2.2.tar.bz2"